/**
 * @file
 * Drupal behavior to push smart content winner details to the dataLayer.
 */

(function (Drupal) {
  window.addEventListener('smart_content_decision', function (event) {
    // Format data to push into the data layer.
    var winnerDetails = event.detail.settings.dataLayer[event.detail.winner];
    var data = {
      event: 'smartContent',
      contentLabel: winnerDetails.label,
      default: event.detail.default,
      contentReactions: winnerDetails.reactions,
    };
    window.dataLayer.push(data);
  });

})(Drupal);
